Page MenuHomePhabricator

Labs databases rearchitecture (tracking)
Closed, ResolvedPublic

Description

With the years, there are a lot of technical debt on the way we handle labs databases (not only with the labsdb* hosts themselves, but with general administration of users and policies). This directly impacts the security, performance and availaiblity of databases (specially replicas, but also toolsdb) attending user queries.

In 2016, budget was given to renewal labsdb hosts. This is a meta-ticket to group tasks needed to not only set those up, but to make at the same time all improvements needed to serve better to our users.

Related Objects

StatusAssignedTask
OpenJdrewniak
ResolvedKrenair
ResolvedMarostegui
Resolvedjcrespo
OpenNone
Resolvedjcrespo
Resolvedjcrespo
Resolvedjcrespo
Resolvedjcrespo
Resolvedjcrespo
ResolvedCmjohnson
Resolvedjcrespo
Resolvedcoren
DeclinedNone
Opensrodlund
Resolved yuvipanda
Resolvedcoren
Resolvedchasemp
Resolvedchasemp
ResolvedMarostegui
ResolvedMarostegui
ResolvedMarostegui
Resolved madhuvishy
Resolvedjcrespo
Resolvedjcrespo
ResolvedMarostegui
ResolvedMarostegui
ResolvedNone
Resolvedjcrespo
ResolvedCmjohnson
Resolvedjcrespo
ResolvedMarostegui
ResolvedMarostegui
StalledNone
DuplicateNone
DuplicateNone
Resolvedori
Resolvedchasemp
ResolvedMarostegui
ResolvedMarostegui
ResolvedMarostegui
DeclinedNone
ResolvedMarostegui
Resolvedjcrespo
ResolvedMarostegui
Resolvedjcrespo
Resolved bd808
Resolved bd808
Resolved bd808
Resolved madhuvishy
Resolved bd808
Resolved bd808
Resolved bd808
Resolvedzhuyifei1999
OpenNone
Resolvedjcrespo
Resolved bd808
Resolvederanroz
ResolvedMarostegui
DeclinedNone
OpenNone
StalledNone
OpenNone
DeclinedNone
StalledNone
StalledNone
Resolvedzhuyifei1999
DeclinedNone
Resolved madhuvishy
Resolvedjcrespo
Resolved bd808
ResolvedMarostegui
ResolvedBanyek
ResolvedBanyek
ResolvedCmjohnson

Event Timeline

jcrespo created this task.Jul 19 2016, 4:33 PM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJul 19 2016, 4:33 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Danny_B renamed this task from Labs databases rearchitecture to Labs databases rearchitecture (tracking).Jul 19 2016, 9:37 PM
Danny_B moved this task from Tag to Should be Epic instead on the Tracking-Neverending board.
Danny_B added a subscriber: Danny_B.

This should actually be rather goal (have its own orange tag) instead of tracking task.

chasemp triaged this task as Medium priority.Jul 25 2016, 2:04 PM
jcrespo added a subtask: Restricted Task.Sep 20 2016, 3:25 PM
jcrespo moved this task from Triage to Meta/Epic on the DBA board.Nov 10 2016, 12:10 PM
bd808 moved this task from Triage to Tracking on the Cloud-Services board.Jun 8 2017, 4:30 AM
jcrespo closed subtask Restricted Task as Resolved.Aug 31 2017, 1:55 PM
jcrespo closed this task as Resolved.Mar 26 2018, 7:50 PM
jcrespo claimed this task.

From the DBA side, labsdb rearchitecture with the new servers is completed, only thing left is this quarter's goal T142807. Closing as resolved. Of course, this doesn't mean labsdb is fixed, lots of things are pending, but the initial scope of fixing the most blatant issues is done.